> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# fetch any contract data



## OpenAPI

````yaml /openapi.json post /api/v1/contract/fetch
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/contract/fetch:
    post:
      tags:
        - Contract Route
      summary: fetch any contract data
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FetchContractDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractWithOwnerDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    FetchContractDto:
      required:
        - networkUid
        - address
      type: object
      properties:
        networkUid:
          description: Network uid
          type: string
          allOf:
            - $ref: '#/components/schemas/ChainUid'
        address:
          description: Contract address
          pattern: \S
          type: string
        abi:
          description: Contract ABI
          type: array
          items:
            type: object
            additionalProperties: {}
        source:
          description: Source of the contract data
          type: string
    ContractWithOwnerDto:
      type: object
      properties:
        network:
          description: Unique network identifier of the blockchain
          type: string
        contractAddress:
          description: Address of the contract
          type: string
        implementation:
          description: Address of the contract implementation
          type: string
        abi:
          description: Abi of the contract in JSON format
          type: array
          items:
            type: object
            additionalProperties: {}
        owner:
          description: Ownership of abi information
          type: boolean
    ChainUid:
      enum:
        - arbitrum
        - bsc
        - bsc_testnet
        - ethereum
        - linea
        - optimism
        - base
        - base_sepolia
        - gnosis
        - fantom
        - polygon
        - polygon_amoy
        - blast
        - zksync
        - scroll
        - avalanche
        - avalanche_fuji
        - telos
        - sepolia
        - holesky
        - ethereum_sepolia
        - ethereum_holesky
        - tron
        - zeta
        - somnia
        - adi
        - anvil
        - icp
        - vechain
        - stellar
        - bitcoin
        - solana
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````